Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IDataIterator

    public interface IDataIterator

An iterator on a result set from a prepared and executed query. Multiple IResultIterator objects could be associated with the same IExtractionResults object, if extraction is done at report level

Method Summary
`void` | `close()` Closes this result and provide a hint that the consumer is done with this result, whose resources can be safely released as appropriate.
`IExtractionResults` | `getQueryResults()` Returns `IExtractionResults` from which this data iterator is obtained.
`IResultIterator` | `getResultIterator()` return the IResultIterator directly
`IResultMetaData` | `getResultMetaData()` Returns the metadata of this result set's detail row.
`java.lang.Object` | `getValue(int index)`
`java.lang.Object` | `getValue(java.lang.String columnName)` Returns the value of a column.
`boolean` | `isEmpty()` see whether this iterator is empty
`boolean` | `next()` Moves down one element from its current position of the iterator.

Method Detail

### getQueryResults

    IExtractionResults getQueryResults()

  Returns `IExtractionResults` from which this data iterator is obtained.

### getResultMetaData

    IResultMetaData getResultMetaData()
                                      throws BirtException

  Returns the metadata of this result set's detail row.

  Returns:
    The result metadata of a detail row.
  Throws:
    `BirtException`

### next

    boolean next()
                 throws BirtException

  Moves down one element from its current position of the iterator.

  Returns:
    true if next element exists and has not reached the limit on the maximum number of rows that can be accessed.
  Throws:
    `BirtException` - if error occurs

### getValue

    java.lang.Object getValue(java.lang.String columnName)
                              throws BirtException

  Returns the value of a column.

  Parameters:
    `columnName` - the name of the column
  Returns:
    The value of the given column. It could be null.
  Throws:
    `BirtException` - if error occurs

### getValue

    java.lang.Object getValue(int index)
                              throws BirtException

  Parameters:
    `index` - column index. It is 1 based
  Throws:
    `BirtException` - if error occurs

### close

    void close()

  Closes this result and provide a hint that the consumer is done with this result, whose resources can be safely released as appropriate.

### isEmpty

    boolean isEmpty()
                    throws BirtException

  see whether this iterator is empty

  Returns:
    true if this iterator is false; otherwise, return false
  Throws:
    `BirtException`

### getResultIterator

    IResultIterator getResultIterator()

  return the IResultIterator directly

  Returns:
    the IResultIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.